Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6625 - cvs postinstall names the wrong info files
Summary: cvs postinstall names the wrong info files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-02 00:15 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 20:39:38 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-11-02 00:15:50 UTC
The cvs postinstall runs /sbin/install-info on the two
files /usr/info/cvs.info.gz and /usr/info/cvsclient.info.gz.
However, those files don't exist; they're actually (well,
presumably) the files cvs.info-1.gz and cvsclient.info-1.gz
instead.

 This would matter more if install-info appeared to look
at them at all, but it doesn't.

Comment 1 Chris Siebenmann 1999-11-02 00:35:59 UTC
Whoops, pilot error; there are indeed cvs.info.gz and
cvsclient.info.gz files there as well as the info-1 files.
I probably got mislead and missed seeing them during my
attempt to track down why they aren't appearing in the
top-level info menu (which is, I think, a generic bug in
the install-info program).

 However: install-info says that none of the cvsclient info
files have an info dir entry. This may make the install-info
invocation on cvsclient.info.gz fail (once install-info gets
fixed so that it should normally succeed).

Comment 2 Jim Kingdon 1999-11-02 23:22:59 UTC
You are right, install-info doesn't seem to be working.  As nearly
as I could tell, the --entry option to install-info doesn't work.
So the fix will be to make sure that cvs.info and cvsclient.info have
info-dir entries (I've submitted a fix to cvsclient.info and put it
on http://people.redhat.com/kingdon/), and edit the cvs.spec file
to not use --entry.

I'm assigning this bug to me so I remember to do it :-).

Comment 3 kevin lyda 2000-01-21 09:04:59 UTC
the gnome help program can find the cvs info files, but typing invo cvs just
brings up the man page.  i suppose the actual existence on info pages, and not
man pages, can't be considered a bug?  i hate info.

anyway, i was just going to mention the cvs info not working thing, but since
you folks have found it already i'll just add this rambling note instead...

Comment 4 Cristian Gafton 2000-02-04 20:39:59 UTC
Fixed in the current tree


Note You need to log in before you can comment on or make changes to this bug.